#include <iostream>

#include "SinkOperator.hpp"

SinkOperator::SinkOperator()
{
    logger  = log4cxx::Logger::getLogger("sink");
}

void SinkOperator::stateAccess(int routingKey, void* eventIn, int size, StateAccess* stateAccess)
{
    stateAccess->setKey(0);
}

void SinkOperator::process(int routingKey, void* eventIn, int size, void* state, Collector* collector)
{
    LOG4CXX_INFO(logger, "  [\033[01;32m" << (*(int*)eventIn) << "\033[0m]");
}

extern "C"
{
    Operator *operatorInstance()
    {
        return new SinkOperator();
    }
}

