#ifndef SINKOPERATOR_HPP_
#define SINKOPERATOR_HPP_

#include <log4cxx/logger.h>
#include "OperatorImpl.hpp"

using namespace streammine3G;

class SinkOperator : public OperatorImpl
{
private:
    log4cxx::LoggerPtr logger;

public:
    SinkOperator();
    void stateAccess(int routingKey, void* eventIn, int size, StateAccess* stateAccess);
    void process(int routingKey, void* eventIn, int size, void* state, Collector* collector);
};

#endif
