#ifndef SOURCEOPERATOR_HPP_
#define SOURCEOPERATOR_HPP_

#include <log4cxx/logger.h>
#include "OperatorImpl.hpp"

class SourceOperator : public OperatorImpl
{
private:
    log4cxx::LoggerPtr logger;

    int64_t timestampCounterGenerator;
    int64_t timestampCounterProcessor;

public:
    SourceOperator();
    void init(int sliceId, int sliceUId, int bucketCount, char* param, int size);
    bool generate(Collector* collector);
    void process(int routingKey, void* eventIn, int size, void* state, Collector* collector);
};

#endif
